clear all
%close all

%% SEED to control pseudo-random variables
%rng(5)
%%

tic

SECS=30;
dt=50;
T=SECS*1000/dt;
dim=3;             %number of units per layer

all_units.potential = zeros(T,dim);
all_units.activity  = zeros(T,dim);

input = zeros(T,dim);
da    = zeros(T,1);

%% load the solution of the ganetic algoritm to test it
load('ga_history.mat', 'solution_data')
genType=solution_data;
% genType=[0.5131    0.2186    0.7050 ...
%          0.3524    0.8374    0.6293 ...
%          0.2552    0.3367    0.3918 ...
%          ...
%          1.0000    0.7289    0.0252]; %configuration for oscillation and error=0

% genType=[0.4221    0.2727    0.3417 ...
%          0.5994    0.5493    0.1693 ...
%          0.6043    0.4010    0.5077 ...
%          ...
%          0.1239    0.8674    0.9212];  %best result of GA (oscillations)

parameters = param_scale(genType);

%matrix of lateral connections used in all layers
all_units.self_w =[parameters.w_11 parameters.w_12 parameters.w_13
                   parameters.w_21 parameters.w_22 parameters.w_23
                   parameters.w_31 parameters.w_32 parameters.w_33];
               
%decay used for all units
all_units.decay=[300 600 1200];

%noise activation per layer
all_units.noise=0.0;            %if noise=1 -> bl=bl+-0.1
               
%baselines per layer
all_units.baseline = [parameters.bl1 parameters.bl2 parameters.bl3];

%thresholds per layer
all_units.th_out =0;

%dopamine parameter per structure
all_units.epsilon=1;     % if =0 the input is not processed without dopamine
all_units.lambda=0;      % if =0 dopamine has no effect

for t=2:T
 
    all_units = leaky_step(t, dt,  all_units, input(t-1,:), da(t-1));
    %all_units.activity(t,:)=all_units.activity(t,:)+(rand(1,3)/5)-0.1;
end

overall_error = exp_error(all_units.activity, T);
disp(overall_error);
toc
plotting